
<?php
  /////////////////////////////////////////////////////////////////////////////
  //Модуль осуществляет инициализацию переменных и проверку введенных данных в модулях:
  //changepassword_adduser.inc changepassword_adduser.inc
  /////////////////////////////////////////////////////////////////////////////
?>
<?php
  //Инициализируем переменные
    $Login = $_POST['login'];
    $Password = $_POST['password'];
    $PasswordConf = $_POST['passwordconf'];
    $Email = $_POST['email'];
    $SendPassword = $_POST['sendpassword'];
    //Проверяем ввод пользователя на корректность
    //Login
    if($Login == '')
      $Errors[] = $Err_lapfe_NoLogin;
    else
      $Login = CorrectInput($Login);
      //буквы, цифры
    //Password
    if($Password == '')
      $Errors[] = $Err_lapfe_NoPassword;
    if($PasswordConf == '')
      $Errors[] = $Err_lapfe_NoPassConf;
    if(strcmp($Password, $PasswordConf) != 0)
      $Errors[] = $Err_lapfe_PassConf;
    //email
    if($SendPassword == 'on')
    {
      if(empty($Email))
        $Errors[] = $Err_lapfe_NoEmail;
      elseif (!preg_match("/^[-0-9a-z_]+@[-0-9a-z_^\.]+\.[a-z]{2,3}$/i", $Email))
        $Errors[] = $Err_lapfe_IncorrEmail;
    }


?>